html,body {
    margin: 0;
    font-family: monospace;
    background-color: rgba(0, 0, 0, 0);
    font-size: 12px;
}

#chat {
    width: 400px;
    height: 600px;
    overflow-y: auto;
    display: flex;
    scrollbar-width: none;
    flex-direction: column-reverse;
}

#chat::-webkit-scrollbar,
#chat ul::-webkit-scrollbar {
    display: none;
}

#chat ul {
    list-style-type: none;
    list-style-position: outside;
    padding-left: 0;
}

#chat li {
    padding: 0.5rem 10px;
    display: flex;
    flex-direction: column;
}

@keyframes slide-in-left {
    from {
        transform: translateX(400px);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

#chat img {
    width: 20px;
    position: relative;
    top: 5px;
    margin-top: -5px;
}

#chat li:last-of-type {
    animation-name: slide-in-left;
    animation-duration: 0.15s;
    animation-timing-function: ease-in;
}

#chat li:not(:last-of-type) {
    opacity: 0.7;
}
